.-hidden{
    display:none!important
}

.glyphicon {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: Glyphicons Halflings;
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


._feedback-button {
    position: fixed;
    cursor: pointer;
    background-color: rgb(102,109,113);
    height: 50px;
    width: 300px;
    bottom: 70px;
    right: -300px;
    border-radius: 2em;
    color: white;
    z-index: 10;
    display: flex;
    flex-direction: row;
    align-items: center;
}

._feedback-button>i {
    padding: 0.01em;
}

._feedback-button .glyphicon-question-sign {
    margin-top: 1px;
    margin-left: 1px;
    font-size: 48px;
}

._feedback-button .text {
    vertical-align: text-bottom;
    margin-left: 30px;
}

._feedback-button._show {
    right: 10px;
    transition: right 0.1s ease-in-out;
}


._feedback-form {
    display: inline-block;
    background-color: rgb(102,109,113);
    width: 400px;
    height: 400px;
    border-radius: 5px;
    position: fixed;
    bottom: 5px;
    right: 5px;
    z-index: 20000;
    border: 1px solid #bbb;
}

._feedback-form ._feedback-close {
    position: absolute;
    right: 15px;
    top: 5px;
    color: white;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}

._feedback-form p {
    color: white;
    font-weight: bold;
    padding: 10px 16px;
    margin: 0;
    width: 100%;
}

._feedback-form>div {
    padding: 0 10px 10px 10px;
    text-align: center;
}

._feedback-form .glyphicon-question-sign {
    color: red;
}

._feedback-form textarea {
    width: 100%;
    height: 300px;
    font-family: monospace;
    border-radius: 5px;
    border: 1px solid #bbb;
    font-size: 12px;
    margin-bottom: 13px;
}

._feedback-form button {
    width: 100px;
    margin-left: 279px;
}

._feedback-form .open {
    border-radius: 5px 5px 0 0;
    transition: bottom 1s ease-in-out;
}


._feedback-success {
    position: fixed;
    right: 16px;
    width: 378px;
    bottom: -5px;
    height: 345px;
    z-index: 20001;
    text-align: center;
    padding-top: 60px;
    background-color: #fff;
}

._feedback-success .glyphicon {
    font-size: 30px;
    border-radius: 20px;
    width: 40px;
    height: 40px;
    line-height: 32px;
}

._feedback-success button {
    margin-top: 10px;
    background-color: #d6e9c6;
}


._feedback-error {
    position: fixed;
    right: 16px;
    width: 378px;
    bottom: -5px;
    height: 345px;
    z-index: 20001;
    text-align: center;
    padding-top: 60px;
}

._feedback-error .glyphicon {
    font-size: 30px;
    border-radius: 20px;
    width: 40px;
    height: 40px;
    line-height: 32px;
}

._feedback-error button {
    margin-top: 10px;
}